Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface MultiPoint

All Superinterfaces:
  Aggregate, Geometry, MultiPrimitive, Serializable

All Known Implementing Classes:
  MultiPointImpl

    public interface MultiPoint

extends MultiPrimitive

The interface defines the access to a aggregations of `Point` objects.

-----------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Author:
  Andreas Poth

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`void` | `addPoint(Point point)` adds a Point to the aggregation
`Point[]` | `getAllPoints()` returns all Points as array
`Point` | `getPointAt(int index)` returns the Point at the submitted index.
`void` | `insertPointAt(Point point, int index)` inserts a Point into the aggregation. all elements with an index equal or larger index will be moved. if index is larger then getSize() - 1 or smaller then 0 or point equals null an exception will be thrown.
`Point` | `removePoint(Point point)` removes the submitted Point from the aggregation
`Point` | `removePointAt(int index)` removes the Point at the submitted index from the aggregation. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.
`void` | `setPointAt(Point point, int index)` sets the submitted Point at the submitted index. the element at the position `index` will be removed. if index is larger then getSize() - 1 or smaller then 0 or point equals null an exception will be thrown.

Methods inherited from interface org.deegree.model.spatialschema.MultiPrimitive
`getAllPrimitives, getPrimitiveAt`

Methods inherited from interface org.deegree.model.spatialschema.Aggregate
`add, getAll, getIterator, getObjectAt, getSize, insertObjectAt, isMember, merge, removeAll, removeObject, removeObjectAt, setObjectAt`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### addPoint

    void addPoint(Point point)

  adds a Point to the aggregation

  Parameters:
    `point` -

### insertPointAt

    void insertPointAt(Point point,
                       int index)
                       throws GeometryException

  inserts a Point into the aggregation. all elements with an index equal or larger index will be moved. if index is larger then getSize() - 1 or smaller then 0 or point equals null an exception will be thrown.

  Parameters:
    `point` - Point to insert.
    `index` - position where to insert the new Point
  Throws:
    `GeometryException`

### setPointAt

    void setPointAt(Point point,
                    int index)
                    throws GeometryException

  sets the submitted Point at the submitted index. the element at the position `index` will be removed. if index is larger then getSize() - 1 or smaller then 0 or point equals null an exception will be thrown.

  Parameters:
    `point` - Point to set.
    `index` - position where to set the new Point
  Throws:
    `GeometryException`

### removePoint

    Point removePoint(Point point)

  removes the submitted Point from the aggregation

  Parameters:
    `point` - to remove
  Returns:
    the removed Point

### removePointAt

    Point removePointAt(int index)
                        throws GeometryException

  removes the Point at the submitted index from the aggregation. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.

  Parameters:
    `index` -
  Returns:
    the removed Point
  Throws:
    `GeometryException`

### getPointAt

    Point getPointAt(int index)

  returns the Point at the submitted index.

  Parameters:
    `index` -
  Returns:
    the Point at the submitted index.

### getAllPoints

    Point[] getAllPoints()

  returns all Points as array

  Returns:
    all Points as array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org